Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert.converters
Class InvalidFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.convert.converters.InvalidFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidFormatException

extends java.lang.RuntimeException

Thrown when a formatted value is of the wrong form.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`InvalidFormatException(java.lang.String invalidValue, java.lang.String expectedFormat)` Create a new invalid format exception.
`InvalidFormatException(java.lang.String invalidValue, java.lang.String expectedFormat, java.lang.String message, java.lang.Throwable cause)` Create a new invalid format exception.
`InvalidFormatException(java.lang.String invalidValue, java.lang.String expectedFormat, java.lang.Throwable cause)` Create a new invalid format exception.

Method Summary
`java.lang.String` | `getExpectedFormat()` Returns the expected format.
`java.lang.String` | `getInvalidValue()` Returns the invalid value.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidFormatException

    public InvalidFormatException(java.lang.String invalidValue,
                                  java.lang.String expectedFormat)

  Create a new invalid format exception.

  Parameters:
    `invalidValue` - the invalid value
    `expectedFormat` - the expected format

### InvalidFormatException

    public InvalidFormatException(java.lang.String invalidValue,
                                  java.lang.String expectedFormat,
                                  java.lang.Throwable cause)

  Create a new invalid format exception.

  Parameters:
    `invalidValue` - the invalid value
    `expectedFormat` - the expected format
    `cause` - the underlying cause of this exception

### InvalidFormatException

    public InvalidFormatException(java.lang.String invalidValue,
                                  java.lang.String expectedFormat,
                                  java.lang.String message,
                                  java.lang.Throwable cause)

  Create a new invalid format exception.

  Parameters:
    `invalidValue` - the invalid value
    `expectedFormat` - the expected format
    `message` - a descriptive message
    `cause` - the underlying cause of this exception

Method Detail

### getInvalidValue

    public java.lang.String getInvalidValue()

  Returns the invalid value.

### getExpectedFormat

    public java.lang.String getExpectedFormat()

  Returns the expected format.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD